cURL
curl --request POST \
--url https://api.payrollintegrationsapp.com/v1/webhooks/subscriptions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_types": [
"PAYROLL_PROCESSED",
"UPDATE_GROUP_PROCESSED"
],
"path": "https://example.com/webhooks"
}
'import requests
url = "https://api.payrollintegrationsapp.com/v1/webhooks/subscriptions"
payload = {
"event_types": ["PAYROLL_PROCESSED", "UPDATE_GROUP_PROCESSED"],
"path": "https://example.com/webhooks"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_types: ['PAYROLL_PROCESSED', 'UPDATE_GROUP_PROCESSED'],
path: 'https://example.com/webhooks'
})
};
fetch('https://api.payrollintegrationsapp.com/v1/webhooks/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}{
"message": "<string>",
"errors": [
"<string>"
]
}Webhooks
Create Webhook Subscription
POST
/
v1
/
webhooks
/
subscriptions
cURL
Learn more about Webhook Event
Types and Webhook
Delivery.
Authorizations
Bearer token obtained from the /v1/auth/token endpoint. Send as: Authorization: Bearer .
Body
application/json
Webhook subscription creation request
The webhook event types to subscribe to
Minimum array length:
1Available options:
EMPLOYEE_CENSUS_HIRED, EMPLOYEE_CENSUS_TERMINATED, EMPLOYEE_CENSUS_UPDATED, PAYROLL_PROCESSED, UPDATE_GROUP_PROCESSED Destination URL to receive webhook notifications
Response
Webhook subscription created successfully